# Set Primary Color

This API is used to change the color of both the text and icons to match your app color. You can pass to it any color required.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
Luciq.tintColor = .lightGray

//Alternatively, you can pass a color in an RGB format
Luciq.tintColor = .init(red: 0, green: 153/255, blue: 1, alpha: 0)
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
Luciq.tintColor = UIColor.lightGrayColor;
```

{% endtab %}

{% tab title="And - Java" %}

```java
Luciq.setPrimaryColor(Color.BLUE);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Luciq.setPrimaryColor(Color.BLUE)
```

{% endtab %}

{% tab title="RN" %}

```javascript
Luciq.setPrimaryColor('#ff0000');
```

{% endtab %}

{% tab title="Flutter" %}

```csharp
Luciq.setPrimaryColor(Color.blue);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/user-interface-design/set-primary-color.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
